import React, { Component } from 'react';
import { Alert, AsyncStorage, Platform, Button, Text } from 'react-native';
import { NavigationContainer } from "@react-navigation/native";
import { createStackNavigator } from "@react-navigation/stack";
import Registration from "./container/Registration";
import Login from "./container/Login";
import Annoncements from './container/Annoncements';
import FirebaseService from './Utils/firebaseService';


const { Navigator, Screen } = createStackNavigator();

export default class App extends Component {
  constructor() {
    super();
  }


  async componentDidMount() {
    let fcmToken;
    fcmToken = await FirebaseService.checkPermission();
    console.log('FCM TOKEN:', fcmToken);
    FirebaseService.createNotificationListeners();

  }

  componentWillUnmount() {
    // fcmToken = await FirebaseService.checkPermission();
    // console.log('FCM TOKEN:', fcmToken);
    // FirebaseService.createNotificationListeners();
  }



  render() {
    return <NavigationContainer>
      <Navigator>
        {<Screen
          name="Registration"
          options={{ title: "Registration" }}
          component={Registration}
        />}
        <Screen
          name="Login"
          options={{ title: "Login" }}
          component={Login}
        />
        < Screen
          name="Annoncements"

          options={({ route }) => ({

            headerBackTitleVisible: false,
            headerRight: () => {
              return <Text
                onPress={() => {
                  route.params.clear()
                }}
                title="Clear All"
                color='#5f5f5f'
                style={{ padding: 15, color: '#5f5f5f', fontFamily:'ProximaNova-Regular' }}
              >Clear All</Text>
            },
            title: "Annoncements"
          })}
          component={Annoncements}
        />
      </Navigator>
    </NavigationContainer>
  };
}





