import React, { Component } from 'react';
import {
    View,
    Button,
    TextInput,
    StyleSheet,
    Text,
    AsyncStorage, ToastAndroid,
    Platform,
    Alert,
} from 'react-native';
import BumbleConfig from '../Utils/BumbleConfig';



export default class Login extends Component {
    state = {
        username: '', deviceToken: '', email: '', number: '', user_unique_key: '6758179'
    }

    onChangeText = (key, val) => {
        this.setState({ [key]: val })
    }
    logIn = async () => {
        const { username, email, number, user_unique_key } = this.state
        console.log('call login')
        BumbleConfig.login(username, email, number, user_unique_key);


    }



    render() {
        return (
            <View style={styles.container}>
                <TextInput
                    style={styles.input}
                    placeholder='User Name'
                    autoCapitalize="none"
                    placeholderTextColor='white'
                    onChangeText={val => this.onChangeText('username', val)}
                />
                <TextInput
                    style={styles.input}
                    placeholder='Phone number'
                    autoCapitalize="none"
                    placeholderTextColor='white'
                    onChangeText={val => this.onChangeText('number', val)}
                />
                <TextInput
                    style={styles.input}
                    placeholder='Email'
                    autoCapitalize="none"
                    placeholderTextColor='white'
                    onChangeText={val => this.onChangeText('email', val)}
                />


                <TextInput
                    style={styles.input}
                    placeholder='User uniqe key'
                    autoCapitalize="none"
                    placeholderTextColor='white'
                    onChangeText={val => this.onChangeText('user_unique_key', val)}
                />

                {/* >6758179</TextInput> */}


                <Button
                    title='Login'
                    onPress={this.logIn}
                />

                <Text
                    style={styles.text}
                    onPress={() => {
                        this.props.navigation.push('Annoncements');
                    }}>Announcements</Text>

            </View >
        )
    }
}
function notifyMessage(msg) {
    if (Platform.OS === 'android') {
        ToastAndroid.show(msg, ToastAndroid.SHORT)
    } else {
        Alert.alert("alert", msg);
    }
}
const styles = StyleSheet.create({
    input: {
        width: 350,
        height: 55,
        backgroundColor: '#42A5F5',
        margin: 10,
        padding: 8,
        color: 'white',
        borderRadius: 14,
        fontSize: 18,
        fontWeight: '500',
    },
    container: {
        flex: 1,
        justifyContent: 'center',
        alignItems: 'center',
        backgroundColor: "#36455f"
    },
    text: {
        width: 350,
        height: 30,
        fontSize: 16,
        textAlign: "center",
        marginTop: 15
    }
})