import React, { Component } from 'react'
import {
  Button,
  TextInput,
  StyleSheet, Text, View, AsyncStorage

} from 'react-native'
import ApiServiceList from '../moduels/APiServiceList'
import { showAlert, AppConstants } from '../Utils/constants';
import TextUtils from '../Utils/textUtils'


export default class Registration extends Component {
  state = {
    business_name: '', full_name: '', email: '', password: '', contact_number: ''
  }
  onChangeText = (key, val) => {
    this.setState({ [key]: val })
  }
  signUp = async () => {
    const { business_name, full_name, email, password, contact_number } = this.state
    const obj = {
      device_type: 1,
      app_version: 100,
      source_type: 7,
      business_name: business_name,
      full_name: full_name,
      email: email,
      password: password,
      contact_number: contact_number,
      country_code: "US",
      continent_code: "NA",
      terms_and_conditions: 1,
      source: "Hippo-Dashboard-Direct",
      medium: "Hippo-Dashboard",
      utm_content: "Direct_Dashboard",
      lang: "en"
    };

    ApiServiceList.businessSignUpApi(obj)
      .then(res => {
        console.log(res);
        if (res.status !== AppConstants.successCode ) {
          return
        }

      });

  }

  render() {
    return (
      <View style={styles.container}>
        <TextInput
          style={styles.input}
          placeholder='Business Name'
          autoCapitalize="none"
          placeholderTextColor='white'
          onChangeText={val => this.onChangeText('business_name', val)}
        />
        <TextInput
          style={styles.input}
          placeholder='full name'
          autoCapitalize="none"
          placeholderTextColor='white'
          onChangeText={val => this.onChangeText('full_name', val)}
        />
        <TextInput
          style={styles.input}
          placeholder='Email'
          autoCapitalize="none"
          placeholderTextColor='white'
          onChangeText={val => this.onChangeText('email', val)}
        />
        <TextInput
          style={styles.input}
          placeholder='password'
          secureTextEntry={true}
          autoCapitalize="none"
          placeholderTextColor='white'
          onChangeText={val => this.onChangeText('password', val)}
        />
        <TextInput
          style={styles.input}
          placeholder='Phone Number'
          autoCapitalize="none"
          placeholderTextColor='white'
          onChangeText={val => this.onChangeText('contact_number', val)}
        />
        <Button
          title='Sign Up'
          onPress={this.signUp}
        />

        <Text
          style={styles.text}
          onPress={() => {
            this.props.navigation.push('Login');
          }}>Login Screen</Text>

      </View >
    )
  }
}

const styles = StyleSheet.create({
  input: {
    width: 350,
    height: 55,
    backgroundColor: '#42A5F5',
    margin: 10,
    padding: 8,
    color: 'white',
    borderRadius: 14,
    fontSize: 18,
    fontWeight: '500',
  },
  container: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: "#36455f"
  },
  text: {
    fontSize: 16,
    textAlign: "center",
    marginTop: 15
  }
})